
Smart Proxy - Bug #2173

"500 internal error" when proxy log file is invalid

02/03/2013 12:09 PM - Dennis Jacobfeuerborn

Status: Closed   

Priority: Low   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After successfully installing 1.1rc5 with the installer and adding the local proxy to the config with the name "local proxy" I tried

importing the environments but was greeted with a "500 internal server error". The following appeared in the foreman log:

Started GET "/environments/import_environments?proxy=1-local-proxy" for 10.99.0.1 at Sun Feb 03 17:37:30 +0100 2013

Processing by EnvironmentsController#import_environments as HTML

Parameters: {"proxy"=>"1-local-proxy"}

Operation FAILED: 500 Internal Server Error

Rendered home/_topbar.rhtml (1.9ms)

Rendered common/500.rhtml within layouts/application (9.8ms)

Completed 500 Internal Server Error in 165ms (Views: 12.1ms | ActiveRecord: 1.2ms)

Related issues:

Is duplicate of Smart Proxy - Bug #2174: Wrong log settings should have the p... Resolved 02/03/2013

History

#1 - 02/03/2013 12:18 PM - Dennis Jacobfeuerborn

Found the reason for this. When dealing with http://projects.theforeman.org/issues/2172 I set the log file to STDOUT. Apparently foreman-proxy

doesn't like this at all and this results in the 500 error. The proxy should probably not even start up when it doesn't like the log settings. That would

make something like this easier to avoid.

#2 - 02/05/2013 04:31 AM - Dominic Cleal

- Project changed from Installer to Smart Proxy

#3 - 02/05/2013 04:31 AM - Dominic Cleal

- Subject changed from In 1.1rc5 trying to import environments results in "500 internal error" to "500 internal error" when proxy log file is invalid

- Priority changed from Normal to Low

#4 - 02/05/2013 04:32 AM - Dominic Cleal

- Status changed from New to Closed

Just noticed #2174, which covers this.
